Fx swap
Get FX Swap
Retrieve a single FX swap by ID for the authenticated business.
Authorization
BearerAuth AuthorizationBearer <token>
In: header
Path Parameters
swapId*string
FX swap unique identifier
Format
uuidResponse Body
application/json
curl -X GET "https://example.com/api/v1/fx/swap/01966f94-0ea8-7309-80e2-4a8676e8d5e2"{
"requestId": "fe40f562-cf9d-46df-9a87-2df34f177605",
"requestTimestamp": "2026-04-21 14:16:50",
"message": "FX swap fetched successfully.",
"statusCode": 200,
"data": {
"id": "01966f94-0ea8-7309-80e2-4a8676e8d5e2",
"destinationCurrency": "USD",
"sourceCurrency": "NGN",
"status": "pending",
"reference": "TRX_6WZSIYEK43",
"sourceReference": "SRC_FX_20260421_001",
"negotiatedRate": 1585.5,
"createdAt": "2026-04-21T14:08:27+00:00"
}
}Empty
Empty
Empty
How is this guide?